# Mem_Map_Stream.h File Reference

`#include "ACEXML/common/ACEXML_Export.h"`
`#include "ace/SOCK_Stream.h"`
`#include "ace/Mem_Map.h"`
`#include "ace/SOCK_Connector.h"`
`#include "ace/Connector.h"`
`#include "ace/Svc_Handler.h"`
`#include "ACEXML/common/XML_Types.h"`

Include dependency graph for Mem_Map_Stream.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACEXML_Mem_Map_Stream
| Provides a memory-mapped stream abstraction to simplify parsing of tokens. More...

## Typedefs

typedef ACE_Svc_Handler< ACE_SOCK_STREAM, ACE_NULL_SYNCH > | Svc_Handler
typedef ACE_Connector< Svc_Handler, ACE_SOCK_CONNECTOR > | Connector

## Detailed Description

Id
  Mem_Map_Stream.h,v 1.8 2003/11/09 04:12:06 dhinton Exp

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>

  Krishnakumar B <kitty@cs.wustl.edu>

## Typedef Documentation

typedef ACE_Connector<Svc_Handler, ACE_SOCK_CONNECTOR> Connector

typedef ACE_Svc_Handler<ACE_SOCK_STREAM, ACE_NULL_SYNCH> Svc_Handler